Package gov.nasa.gsfc.sscweb.schema

# Class AltitudeGeographicCoordinates

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Coordinates
gov.nasa.gsfc.sscweb.schema.SurfaceGeographicCoordinates
gov.nasa.gsfc.sscweb.schema.AltitudeGeographicCoordinates

public class AltitudeGeographicCoordinates extends SurfaceGeographicCoordinates
Geographic Coordinates with altitude. <p>Java class for AltitudeGeographicCoordinates complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="AltitudeGeographicCoordinates"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}SurfaceGeographicCoordinates"> <sequence> <element name="Altitude" type="{http://www.w3.org/2001/XMLSchema}double"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected double`
  `altitude`
  Altitude.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.SurfaceGeographicCoordinates

  `latitude, longitude`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AltitudeGeographicCoordinates()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAltitude()`
  Altitude.
  `void`
  `setAltitude(double value)`
  Sets the value of the altitude property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.SurfaceGeographicCoordinates

  `getLatitude, getLongitude, setLatitude, setLongitude`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### altitude

    protected double altitude
    Altitude.

- ## Constructor Details

  - ### AltitudeGeographicCoordinates

    public AltitudeGeographicCoordinates()

- ## Method Details

  - ### getAltitude

    public double getAltitude()
    Altitude.

  - ### setAltitude

    public void setAltitude(double value)
    Sets the value of the altitude property.